package com.kmall.admin.service;


import com.kmall.admin.entity.OrderProcessRecordEntity;

import java.util.List;
import java.util.Map;

/**
 * 订单流转过程记录表Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-10-27 16:38:50
 */
public interface OrderProcessRecordService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    OrderProcessRecordEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<OrderProcessRecordEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param orderProcessRecord 实体
     * @return 保存条数
     */
    int save(OrderProcessRecordEntity orderProcessRecord);

    /**
     * 根据主键更新实体
     *
     * @param orderProcessRecord 实体
     * @return 更新条数
     */
    int update(OrderProcessRecordEntity orderProcessRecord);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);

    OrderProcessRecordEntity queryObjectByOrderSn(String orderSn);
}
